org.eclipse.viatra.cep.vepl.vepl

## Interface Rule

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, ModelElement, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RuleImpl

      public interface Rule
      extends ModelElement

  A representation of the model object 'Rule'.

  The following features are supported:

  - `Event Patterns`
  - `Action`
  See Also:
    `VeplPackage.getRule()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.xbase.XExpression` | `getAction()` Returns the value of the 'Action' containment reference.
    `org.eclipse.emf.common.util.EList<ParameterizedPatternCall>` | `getEventPatterns()` Returns the value of the 'Event Patterns' containment reference list.
    `void` | `setAction(org.eclipse.xtext.xbase.XExpression value)` Sets the value of the '`Action`' containment reference.

    - ### Methods inherited from interface org.eclipse.viatra.cep.vepl.vepl.ModelElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getEventPatterns

          org.eclipse.emf.common.util.EList<ParameterizedPatternCall> getEventPatterns()

      Returns the value of the 'Event Patterns' containment reference list. The list contents are of type `ParameterizedPatternCall`.

      If the meaning of the 'Event Patterns' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Event Patterns' containment reference list.
      See Also:
        `VeplPackage.getRule_EventPatterns()`
      Generated:
      Model:
        containment="true"

    - #### getAction

          org.eclipse.xtext.xbase.XExpression getAction()

      Returns the value of the 'Action' containment reference.

      If the meaning of the 'Action' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Action' containment reference.
      See Also:
        `setAction(XExpression)`, `VeplPackage.getRule_Action()`
      Generated:
      Model:
        containment="true"

    - #### setAction

          void setAction(org.eclipse.xtext.xbase.XExpression value)

      Sets the value of the '`Action`' containment reference.
      Parameters:
        `value` - the new value of the 'Action' containment reference.
      See Also:
        `getAction()`
      Generated: